we still have a xpad directory in Scilab code ? 30/12730/2
Sylvestre Ledru [Sat, 28 Sep 2013 10:51:08 +0000 (12:51 +0200)]
Change-Id: I2e0acb57e6733c3dd5f8b4e6f6bd6d82d092b4ff

scilab/modules/xpad/Makefile.am [deleted file]
scilab/modules/xpad/Makefile.in [deleted file]

diff --git a/scilab/modules/xpad/Makefile.am b/scilab/modules/xpad/Makefile.am
deleted file mode 100644 (file)
index 3d707f1..0000000
+++ /dev/null
@@ -1,114 +0,0 @@
-#
-# Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
-# Copyright (C) DIGITEO - 2009 - Allan CORNET
-# 
-# This file must be used under the terms of the CeCILL.
-# This source file is licensed as described in the file COPYING, which
-# you should have received as part of this distribution.  The terms
-# are also available at    
-# http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
-#
-
-#### Target ######
-modulename=xpad
-
-
-#### xpad : Conf files ####
-libscixpad_la_rootdir = $(mydatadir)
-libscixpad_la_root_DATA = changelog.txt license.txt readme.txt version.xml
-
-
-#### xpad : init scripts ####
-libscixpad_la_etcdir = $(mydatadir)/etc
-libscixpad_la_etc_DATA =       etc/xpadConfiguration.xml \
-                               etc/xpad.quit \
-                               etc/xpad.start
-
-include $(top_srcdir)/Makefile.incl.am
-
-
-XPAD_JNI_SOURCES = src/jni/ScilabKeywords_wrap.c
-
-XPAD_C_SOURCES = src/c/ScilabKeywords.c
-
-XPAD_CPP_SOURCES = src/jni/Xpad.cpp \
-       src/cpp/callxpad.cpp \
-       src/jni/GiwsException.cpp
-
-
-GIWS_WRAPPERS = src/jni/Xpad.giws.xml
-
-if GIWS
-BUILT_SOURCES=giws
-endif
-
-
-GATEWAY_C_SOURCES = sci_gateway/c/gw_xpad.c
-
-GATEWAY_CPP_SOURCES = sci_gateway/cpp/sci_xpad.cpp \
-sci_gateway/cpp/sci_closeXpadFromScilab.cpp
-
-libscixpad_la_CFLAGS= $(JAVA_JNI_INCLUDE) \
-                       -I$(top_srcdir)/libs/MALLOC/includes/ \
-                       -I$(top_srcdir)/modules/jvm/includes/ \
-                       -I$(top_srcdir)/modules/output_stream/includes \
-                       -I$(top_srcdir)/modules/localization/includes \
-                       -I$(top_srcdir)/modules/api_scilab/includes \
-                       -I$(top_srcdir)/modules/fileio/includes \
-                       -I$(top_srcdir)/modules/core/includes \
-                       -I$(top_srcdir)/modules/functions/includes
-
-libscixpad_la_CPPFLAGS = $(JAVA_JNI_INCLUDE) \
-                       -I$(srcdir)/includes/ \
-                       -I$(srcdir)/src/cpp/ \
-                       -I$(srcdir)/src/c/ \
-                       -I$(srcdir)/src/jni/ \
-                       -I$(top_srcdir)/modules/jvm/includes/ \
-                       -I$(top_srcdir)/modules/fileio/includes \
-                       -I$(top_srcdir)/modules/output_stream/includes \
-                       -I$(top_srcdir)/modules/localization/includes \
-                       -I$(top_srcdir)/modules/api_scilab/includes
-
-# Without the xpad module 
-libscixpad_disable_la_CFLAGS = -Iincludes/ \
-                       -I$(top_srcdir)/modules/output_stream/includes
-
-XPAD_DISABLE_C_SOURCES = src/noxpad/noxpad.c
-libscixpad_disable_la_LDFLAGS = -version-info $(SCILAB_LIBRARY_VERSION) $(LD_FLAGS)
-libscixpad_disable_la_SOURCES = $(XPAD_DISABLE_C_SOURCES)
-
-pkglib_LTLIBRARIES = libscixpad-disable.la
-
-if GUI
-pkglib_LTLIBRARIES += libscixpad.la 
-endif
-
-libscixpad_la_LDFLAGS = -version-info $(SCILAB_LIBRARY_VERSION) $(LD_FLAGS)  $(X_LIBS) $(X_EXTRA_LIBS)
-
-libscixpad_la_SOURCES = $(XPAD_C_SOURCES) $(XPAD_JNI_SOURCES) $(GATEWAY_C_SOURCES) $(GATEWAY_CPP_SOURCES) $(XPAD_CPP_SOURCES)
-
-# For the code check (splint)
-CHECK_SRC= $(XPAD_C_SOURCES) $(GATEWAY_C_SOURCES)
-INCLUDE_FLAGS = $(libscixpad_la_CFLAGS)
-
-
-#### SWIG Declaration ####
-SWIG_WRAPPERS = src/jni/ScilabKeywords.i 
-
-if SWIG
-BUILT_SOURCES=swig
-endif
-
-libscixpad_la_LIBADD = $(top_builddir)/modules/core/libscicore.la \
-$(top_builddir)/libs/MALLOC/libscimalloc.la \
-$(top_builddir)/modules/output_stream/libscioutput_stream.la \
-$(top_builddir)/modules/jvm/libscijvm.la
-
-
-#### xpad : gateway declaration ####
-libscixpad_la_sci_gatewaydir = $(mydatadir)/sci_gateway
-libscixpad_la_sci_gateway_DATA = sci_gateway/xpad_gateway.xml
-
-if GUI
-USEANT=1
-endif
diff --git a/scilab/modules/xpad/Makefile.in b/scilab/modules/xpad/Makefile.in
deleted file mode 100644 (file)
index 2e156b2..0000000
+++ /dev/null
@@ -1,1220 +0,0 @@
-# Makefile.in generated by automake 1.11.1 from Makefile.am.
-# @configure_input@
-
-# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
-# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
-# Inc.
-# This Makefile.in is free software; the Free Software Foundation
-# gives unlimited permission to copy and/or distribute it,
-# with or without modifications, as long as this notice is preserved.
-
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
-# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
-# PARTICULAR PURPOSE.
-
-@SET_MAKE@
-
-#
-# Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
-# Copyright (C) DIGITEO - 2009 - Allan CORNET
-# 
-# This file must be used under the terms of the CeCILL.
-# This source file is licensed as described in the file COPYING, which
-# you should have received as part of this distribution.  The terms
-# are also available at    
-# http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
-#
-
-# Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
-# Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
-# Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
-#
-# This file must be used under the terms of the CeCILL.
-# This source file is licensed as described in the file COPYING, which
-# you should have received as part of this distribution.  The terms
-# are also available at
-# http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
-#
-
-##########
-### Makefile included stuff
-### Target, variable, suffixes which are supposed to be usefull in every makefile.am
-##########
-
-
-VPATH = @srcdir@
-pkgdatadir = $(datadir)/@PACKAGE@
-pkgincludedir = $(includedir)/@PACKAGE@
-pkglibdir = $(libdir)/@PACKAGE@
-pkglibexecdir = $(libexecdir)/@PACKAGE@
-am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
-install_sh_DATA = $(install_sh) -c -m 644
-install_sh_PROGRAM = $(install_sh) -c
-install_sh_SCRIPT = $(install_sh) -c
-INSTALL_HEADER = $(INSTALL_DATA)
-transform = $(program_transform_name)
-NORMAL_INSTALL = :
-PRE_INSTALL = :
-POST_INSTALL = :
-NORMAL_UNINSTALL = :
-PRE_UNINSTALL = :
-POST_UNINSTALL = :
-build_triplet = @build@
-host_triplet = @host@
-DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
-       $(top_srcdir)/Makefile.incl.am
-@NEED_JAVA_TRUE@am__append_1 = java
-@GUI_TRUE@am__append_2 = libscixpad.la 
-subdir = modules/xpad
-ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
-am__aclocal_m4_deps = $(top_srcdir)/m4/docbook.m4 \
-       $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
-       $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
-       $(top_srcdir)/m4/intel_compiler.m4 \
-       $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
-       $(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/libsmath.m4 \
-       $(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/libxml2.m4 \
-       $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
-       $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
-       $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
-       $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
-       $(top_srcdir)/m4/pvm.m4 $(top_srcdir)/m4/relocatable.m4 \
-       $(top_srcdir)/m4/swig.m4 $(top_srcdir)/m4/symlinks.m4 \
-       $(top_srcdir)/m4/tcltk.m4 $(top_srcdir)/m4/umfpack.m4 \
-       $(top_srcdir)/configure.ac
-am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
-       $(ACLOCAL_M4)
-mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
-CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
-CONFIG_CLEAN_FILES =
-CONFIG_CLEAN_VPATH_FILES =
-am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
-am__vpath_adj = case $$p in \
-    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
-    *) f=$$p;; \
-  esac;
-am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
-am__install_max = 40
-am__nobase_strip_setup = \
-  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
-am__nobase_strip = \
-  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
-am__nobase_list = $(am__nobase_strip_setup); \
-  for p in $$list; do echo "$$p $$p"; done | \
-  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
-  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
-    if (++n[$$2] == $(am__install_max)) \
-      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
-    END { for (dir in files) print dir, files[dir] }'
-am__base_list = \
-  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
-  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
-am__installdirs = "$(DESTDIR)$(pkglibdir)" \
-       "$(DESTDIR)$(libscixpad_la_etcdir)" \
-       "$(DESTDIR)$(libscixpad_la_rootdir)" \
-       "$(DESTDIR)$(libscixpad_la_sci_gatewaydir)"
-LTLIBRARIES = $(pkglib_LTLIBRARIES)
-libscixpad_disable_la_LIBADD =
-am__objects_1 = libscixpad_disable_la-noxpad.lo
-am_libscixpad_disable_la_OBJECTS = $(am__objects_1)
-libscixpad_disable_la_OBJECTS = $(am_libscixpad_disable_la_OBJECTS)
-libscixpad_disable_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
-       $(LIBTOOLFLAGS) --mode=link $(CCLD) \
-       $(libscixpad_disable_la_CFLAGS) $(CFLAGS) \
-       $(libscixpad_disable_la_LDFLAGS) $(LDFLAGS) -o $@
-libscixpad_la_DEPENDENCIES =  \
-       $(top_builddir)/modules/core/libscicore.la \
-       $(top_builddir)/libs/MALLOC/libscimalloc.la \
-       $(top_builddir)/modules/output_stream/libscioutput_stream.la \
-       $(top_builddir)/modules/jvm/libscijvm.la
-am__objects_2 = libscixpad_la-ScilabKeywords.lo
-am__objects_3 = libscixpad_la-ScilabKeywords_wrap.lo
-am__objects_4 = libscixpad_la-gw_xpad.lo
-am__objects_5 = libscixpad_la-sci_xpad.lo \
-       libscixpad_la-sci_closeXpadFromScilab.lo
-am__objects_6 = libscixpad_la-Xpad.lo libscixpad_la-callxpad.lo \
-       libscixpad_la-GiwsException.lo
-am_libscixpad_la_OBJECTS = $(am__objects_2) $(am__objects_3) \
-       $(am__objects_4) $(am__objects_5) $(am__objects_6)
-libscixpad_la_OBJECTS = $(am_libscixpad_la_OBJECTS)
-libscixpad_la_LINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) \
-       $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
-       $(CXXFLAGS) $(libscixpad_la_LDFLAGS) $(LDFLAGS) -o $@
-@GUI_TRUE@am_libscixpad_la_rpath = -rpath $(pkglibdir)
-DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
-depcomp = $(SHELL) $(top_srcdir)/config/depcomp
-am__depfiles_maybe = depfiles
-am__mv = mv -f
-COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
-       $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
-LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
-       --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
-       $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
-CCLD = $(CC)
-LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
-       --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
-       $(LDFLAGS) -o $@
-CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
-       $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
-LTCXXCOMPILE = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
-       --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
-       $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
-CXXLD = $(CXX)
-CXXLINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
-       --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) \
-       $(LDFLAGS) -o $@
-SOURCES = $(libscixpad_disable_la_SOURCES) $(libscixpad_la_SOURCES)
-DIST_SOURCES = $(libscixpad_disable_la_SOURCES) \
-       $(libscixpad_la_SOURCES)
-DATA = $(libscixpad_la_etc_DATA) $(libscixpad_la_root_DATA) \
-       $(libscixpad_la_sci_gateway_DATA)
-ETAGS = etags
-CTAGS = ctags
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = @ACLOCAL@
-ALL_LINGUAS = @ALL_LINGUAS@
-AMTAR = @AMTAR@
-ANT = @ANT@
-ANTLR = @ANTLR@
-AR = @AR@
-AUTOCONF = @AUTOCONF@
-AUTOHEADER = @AUTOHEADER@
-AUTOMAKE = @AUTOMAKE@
-AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
-AWK = @AWK@
-BATIK = @BATIK@
-BLAS_LIBS = @BLAS_LIBS@
-BSH = @BSH@
-CC = @CC@
-CCDEPMODE = @CCDEPMODE@
-CFLAGS = @CFLAGS@
-CHECKSTYLE = @CHECKSTYLE@
-COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
-COMMONS_IO = @COMMONS_IO@
-COMMONS_LOGGING = @COMMONS_LOGGING@
-CPP = @CPP@
-CPPFLAGS = @CPPFLAGS@
-CXX = @CXX@
-CXXCPP = @CXXCPP@
-CXXDEPMODE = @CXXDEPMODE@
-CXXFLAGS = @CXXFLAGS@
-CYGPATH_W = @CYGPATH_W@
-DEFS = @DEFS@
-DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
-DEPDIR = @DEPDIR@
-DOCBOOK_ROOT = @DOCBOOK_ROOT@
-DSYMUTIL = @DSYMUTIL@
-DUMPBIN = @DUMPBIN@
-ECHO_C = @ECHO_C@
-ECHO_N = @ECHO_N@
-ECHO_T = @ECHO_T@
-EGREP = @EGREP@
-EXEEXT = @EXEEXT@
-F77 = @F77@
-FFLAGS = @FFLAGS@
-FFTW3_LIB = @FFTW3_LIB@
-FFTW_ENABLE = @FFTW_ENABLE@
-FGREP = @FGREP@
-FLEXDOCK = @FLEXDOCK@
-FLIBS = @FLIBS@
-FOP = @FOP@
-GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
-GIWS_BIN = @GIWS_BIN@
-GLUEGEN_RT = @GLUEGEN_RT@
-GMSGFMT = @GMSGFMT@
-GMSGFMT_015 = @GMSGFMT_015@
-GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
-GREP = @GREP@
-GUI_ENABLE = @GUI_ENABLE@
-HDF5_CFLAGS = @HDF5_CFLAGS@
-HDF5_ENABLE = @HDF5_ENABLE@
-HDF5_LIBS = @HDF5_LIBS@
-HELP_ENABLE = @HELP_ENABLE@
-INSTALL = @INSTALL@
-INSTALL_DATA = @INSTALL_DATA@
-INSTALL_PROGRAM = @INSTALL_PROGRAM@
-INSTALL_SCRIPT = @INSTALL_SCRIPT@
-INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
-INTLLIBS = @INTLLIBS@
-INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
-JAR = @JAR@
-JAVA = @JAVA@
-JAVAC = @JAVAC@
-JAVAH = @JAVAH@
-JAVASCI_ENABLE = @JAVASCI_ENABLE@
-JAVA_DEBUG_OPTIONS = @JAVA_DEBUG_OPTIONS@
-JAVA_ENABLE = @JAVA_ENABLE@
-JAVA_G = @JAVA_G@
-JAVA_HOME = @JAVA_HOME@
-JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
-JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
-JDB = @JDB@
-JEUCLID_CORE = @JEUCLID_CORE@
-JGRAPHX = @JGRAPHX@
-JHALL = @JHALL@
-JHDF5 = @JHDF5@
-JLATEXMATH = @JLATEXMATH@
-JLATEXMATH_FOP = @JLATEXMATH_FOP@
-JOGL = @JOGL@
-JROSETTA_API = @JROSETTA_API@
-JROSETTA_ENGINE = @JROSETTA_ENGINE@
-JUNIT = @JUNIT@
-LAPACK_LIBS = @LAPACK_LIBS@
-LD = @LD@
-LDFLAGS = @LDFLAGS@
-LIBICONV = @LIBICONV@
-LIBINTL = @LIBINTL@
-LIBM = @LIBM@
-LIBOBJS = @LIBOBJS@
-LIBS = @LIBS@
-LIBTOOL = @LIBTOOL@
-LIPO = @LIPO@
-LN_S = @LN_S@
-LOOKS = @LOOKS@
-LTLIBICONV = @LTLIBICONV@
-LTLIBINTL = @LTLIBINTL@
-LTLIBOBJS = @LTLIBOBJS@
-MAINT = @MAINT@
-MAKEINFO = @MAKEINFO@
-MATIO_CFLAGS = @MATIO_CFLAGS@
-MATIO_ENABLE = @MATIO_ENABLE@
-MATIO_LIBS = @MATIO_LIBS@
-MKDIR_P = @MKDIR_P@
-MPI_ENABLE = @MPI_ENABLE@
-MSGCAT = @MSGCAT@
-MSGFMT = @MSGFMT@
-MSGFMT_015 = @MSGFMT_015@
-MSGMERGE = @MSGMERGE@
-NM = @NM@
-NMEDIT = @NMEDIT@
-OBJDUMP = @OBJDUMP@
-OBJEXT = @OBJEXT@
-OCAMLC = @OCAMLC@
-OCAMLDEP = @OCAMLDEP@
-OCAMLLEX = @OCAMLLEX@
-OCAMLOPT = @OCAMLOPT@
-OCAMLYACC = @OCAMLYACC@
-OPENMPI_CC = @OPENMPI_CC@
-OPENMPI_FLAGS = @OPENMPI_FLAGS@
-OPENMPI_LIBS = @OPENMPI_LIBS@
-OTOOL = @OTOOL@
-OTOOL64 = @OTOOL64@
-PACKAGE = @PACKAGE@
-PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
-PACKAGE_NAME = @PACKAGE_NAME@
-PACKAGE_STRING = @PACKAGE_STRING@
-PACKAGE_TARNAME = @PACKAGE_TARNAME@
-PACKAGE_URL = @PACKAGE_URL@
-PACKAGE_VERSION = @PACKAGE_VERSION@
-PATH_SEPARATOR = @PATH_SEPARATOR@
-PCRE_CFLAGS = @PCRE_CFLAGS@
-PCRE_CONFIG = @PCRE_CONFIG@
-PCRE_LIBS = @PCRE_LIBS@
-PCRE_VERSION = @PCRE_VERSION@
-PKG_CONFIG = @PKG_CONFIG@
-POSUB = @POSUB@
-POW_LIB = @POW_LIB@
-PVMGETARCH = @PVMGETARCH@
-PVM_ARCH = @PVM_ARCH@
-PVM_ENABLE = @PVM_ENABLE@
-PVM_INCLUDE = @PVM_INCLUDE@
-PVM_LIB = @PVM_LIB@
-PYTHON = @PYTHON@
-QDOX = @QDOX@
-RANLIB = @RANLIB@
-RELOCATABLE = @RELOCATABLE@
-RT_LIB = @RT_LIB@
-SAXON = @SAXON@
-SCICOS_ENABLE = @SCICOS_ENABLE@
-SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
-SED = @SED@
-SET_MAKE = @SET_MAKE@
-SET_RELOCATABLE = @SET_RELOCATABLE@
-SHELL = @SHELL@
-SKINLF = @SKINLF@
-SPLINT = @SPLINT@
-STRIP = @STRIP@
-SWIG_BIN = @SWIG_BIN@
-SWIG_JAVA = @SWIG_JAVA@
-SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
-TCLTK_LIBS = @TCLTK_LIBS@
-TCL_INC_PATH = @TCL_INC_PATH@
-TESTNG = @TESTNG@
-TK_INC_PATH = @TK_INC_PATH@
-UMFPACK_ENABLE = @UMFPACK_ENABLE@
-UMFPACK_LIB = @UMFPACK_LIB@
-USE_NLS = @USE_NLS@
-VERSION = @VERSION@
-WITH_OCAML = @WITH_OCAML@
-WITH_TKSCI = @WITH_TKSCI@
-XGETTEXT = @XGETTEXT@
-XGETTEXT_015 = @XGETTEXT_015@
-XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
-XMKMF = @XMKMF@
-XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
-XML_APIS_EXT = @XML_APIS_EXT@
-XML_CONFIG = @XML_CONFIG@
-XML_FLAGS = @XML_FLAGS@
-XML_LIBS = @XML_LIBS@
-XML_VERSION = @XML_VERSION@
-X_CFLAGS = @X_CFLAGS@
-X_EXTRA_LIBS = @X_EXTRA_LIBS@
-X_LIBS = @X_LIBS@
-X_PRE_LIBS = @X_PRE_LIBS@
-abs_builddir = @abs_builddir@
-abs_srcdir = @abs_srcdir@
-abs_top_builddir = @abs_top_builddir@
-abs_top_srcdir = @abs_top_srcdir@
-ac_ct_CC = @ac_ct_CC@
-ac_ct_CXX = @ac_ct_CXX@
-ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
-ac_ct_F77 = @ac_ct_F77@
-am__include = @am__include@
-am__leading_dot = @am__leading_dot@
-am__quote = @am__quote@
-am__tar = @am__tar@
-am__untar = @am__untar@
-bindir = @bindir@
-build = @build@
-build_alias = @build_alias@
-build_cpu = @build_cpu@
-build_os = @build_os@
-build_vendor = @build_vendor@
-builddir = @builddir@
-cxx_present = @cxx_present@
-datadir = @datadir@
-datarootdir = @datarootdir@
-docdir = @docdir@
-dvidir = @dvidir@
-exec_prefix = @exec_prefix@
-host = @host@
-host_alias = @host_alias@
-host_cpu = @host_cpu@
-host_os = @host_os@
-host_vendor = @host_vendor@
-htmldir = @htmldir@
-includedir = @includedir@
-infodir = @infodir@
-install_sh = @install_sh@
-libdir = @libdir@
-libexecdir = @libexecdir@
-localedir = @localedir@
-localstatedir = @localstatedir@
-mandir = @mandir@
-mkdir_p = @mkdir_p@
-oldincludedir = @oldincludedir@
-pdfdir = @pdfdir@
-prefix = @prefix@
-program_transform_name = @program_transform_name@
-psdir = @psdir@
-sbindir = @sbindir@
-sharedstatedir = @sharedstatedir@
-srcdir = @srcdir@
-sysconfdir = @sysconfdir@
-target_alias = @target_alias@
-top_build_prefix = @top_build_prefix@
-top_builddir = @top_builddir@
-top_srcdir = @top_srcdir@
-
-#### Target ######
-modulename = xpad
-
-#### xpad : Conf files ####
-libscixpad_la_rootdir = $(mydatadir)
-libscixpad_la_root_DATA = changelog.txt license.txt readme.txt version.xml
-
-#### xpad : init scripts ####
-libscixpad_la_etcdir = $(mydatadir)/etc
-libscixpad_la_etc_DATA = etc/xpadConfiguration.xml \
-                               etc/xpad.quit \
-                               etc/xpad.start
-
-
-# Where all the Scilab stuff is installed (macros, help, ...)
-mydatadir = $(pkgdatadir)/modules/$(modulename)
-
-# splint options
-SPLINT_OPTIONS = -weak -booltype BOOL
-
-########################### JAVA ######################################
-#### We are delegating java compilation to ant... Thanks to that
-#### the procedure will be the same with Microsoft Windows (C)
-#### and Linux/Unix
-#######################################################################
-TARGETS_ALL = $(am__append_1)
-
-################ MACROS ######################
-# Rule to build a macro
-# NOT USED  AT THE MOMENT
-SUFFIXES = .sci 
-
-########### INSTALL DOCUMENTATION ###################
-
-# Install documentation files into the right target
-# We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
-# automake needs the html files to be present which is not the case when
-# we are building Scilab
-
-# Where it should be installed
-pkgdocdir = $(mydatadir)
-
-# What is the mask of the help source
-DOCMASKXML = *.xml
-
-# What is the mask of the MathML sources
-DOCMASKMML = *.mml
-
-########### INSTALL DATA ###################
-# Install macros, help & demos
-# Where it should be installed
-pkgmacrosdir = $(mydatadir)
-# Which directory we process
-MACRODIRS = macros/
-# Mask of the Scilab sources macros
-MACROMASK = *.sci
-# Mask of the Scilab executable sources macros
-MACROBUILDMASK = *.sce
-# Mask of the Scilab compiled macros
-MACROBINMASK = *.bin
-# List of the standard directory for tests
-TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests
-# Where the demos should be installed
-pkgdemosdir = $(mydatadir)
-# List of the standard directory for demos
-DEMOS_DIR = demos
-# List of the standard directory for examples
-EXAMPLES_DIR = examples
-# Where to export JAVA archives (.jar)
-JARDIR = jar/
-# JAR files mask
-JARMASK = *.jar
-# Chapter file 
-HELP_CHAPTERDIR = help/
-HELP_CHAPTERFILE = addchapter.sce
-HELP_CHAPTERLANG = en_US fr_FR pt_BR
-XPAD_JNI_SOURCES = src/jni/ScilabKeywords_wrap.c
-XPAD_C_SOURCES = src/c/ScilabKeywords.c
-XPAD_CPP_SOURCES = src/jni/Xpad.cpp \
-       src/cpp/callxpad.cpp \
-       src/jni/GiwsException.cpp
-
-GIWS_WRAPPERS = src/jni/Xpad.giws.xml
-@GIWS_TRUE@BUILT_SOURCES = giws
-@SWIG_TRUE@BUILT_SOURCES = swig
-GATEWAY_C_SOURCES = sci_gateway/c/gw_xpad.c
-GATEWAY_CPP_SOURCES = sci_gateway/cpp/sci_xpad.cpp \
-sci_gateway/cpp/sci_closeXpadFromScilab.cpp
-
-libscixpad_la_CFLAGS = $(JAVA_JNI_INCLUDE) \
-                       -I$(top_srcdir)/libs/MALLOC/includes/ \
-                       -I$(top_srcdir)/modules/jvm/includes/ \
-                       -I$(top_srcdir)/modules/output_stream/includes \
-                       -I$(top_srcdir)/modules/localization/includes \
-                       -I$(top_srcdir)/modules/api_scilab/includes \
-                       -I$(top_srcdir)/modules/fileio/includes \
-                       -I$(top_srcdir)/modules/core/includes \
-                       -I$(top_srcdir)/modules/functions/includes
-
-libscixpad_la_CPPFLAGS = $(JAVA_JNI_INCLUDE) \
-                       -I$(srcdir)/includes/ \
-                       -I$(srcdir)/src/cpp/ \
-                       -I$(srcdir)/src/c/ \
-                       -I$(srcdir)/src/jni/ \
-                       -I$(top_srcdir)/modules/jvm/includes/ \
-                       -I$(top_srcdir)/modules/fileio/includes \
-                       -I$(top_srcdir)/modules/output_stream/includes \
-                       -I$(top_srcdir)/modules/localization/includes \
-                       -I$(top_srcdir)/modules/api_scilab/includes
-
-
-# Without the xpad module 
-libscixpad_disable_la_CFLAGS = -Iincludes/ \
-                       -I$(top_srcdir)/modules/output_stream/includes
-
-XPAD_DISABLE_C_SOURCES = src/noxpad/noxpad.c
-libscixpad_disable_la_LDFLAGS = -version-info $(SCILAB_LIBRARY_VERSION) $(LD_FLAGS)
-libscixpad_disable_la_SOURCES = $(XPAD_DISABLE_C_SOURCES)
-pkglib_LTLIBRARIES = libscixpad-disable.la $(am__append_2)
-libscixpad_la_LDFLAGS = -version-info $(SCILAB_LIBRARY_VERSION) $(LD_FLAGS)  $(X_LIBS) $(X_EXTRA_LIBS)
-libscixpad_la_SOURCES = $(XPAD_C_SOURCES) $(XPAD_JNI_SOURCES) $(GATEWAY_C_SOURCES) $(GATEWAY_CPP_SOURCES) $(XPAD_CPP_SOURCES)
-
-# For the code check (splint)
-CHECK_SRC = $(XPAD_C_SOURCES) $(GATEWAY_C_SOURCES)
-INCLUDE_FLAGS = $(libscixpad_la_CFLAGS)
-
-#### SWIG Declaration ####
-SWIG_WRAPPERS = src/jni/ScilabKeywords.i 
-libscixpad_la_LIBADD = $(top_builddir)/modules/core/libscicore.la \
-$(top_builddir)/libs/MALLOC/libscimalloc.la \
-$(top_builddir)/modules/output_stream/libscioutput_stream.la \
-$(top_builddir)/modules/jvm/libscijvm.la
-
-
-#### xpad : gateway declaration ####
-libscixpad_la_sci_gatewaydir = $(mydatadir)/sci_gateway
-libscixpad_la_sci_gateway_DATA = sci_gateway/xpad_gateway.xml
-@GUI_TRUE@USEANT = 1
-all: $(BUILT_SOURCES)
-       $(MAKE) $(AM_MAKEFLAGS) all-am
-
-.SUFFIXES:
-.SUFFIXES: .sci .bin .c .cpp .lo .o .obj
-$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
-       @for dep in $?; do \
-         case '$(am__configure_deps)' in \
-           *$$dep*) \
-             ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
-               && { if test -f $@; then exit 0; else break; fi; }; \
-             exit 1;; \
-         esac; \
-       done; \
-       echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/xpad/Makefile'; \
-       $(am__cd) $(top_srcdir) && \
-         $(AUTOMAKE) --foreign modules/xpad/Makefile
-.PRECIOUS: Makefile
-Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
-       @case '$?' in \
-         *config.status*) \
-           cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
-         *) \
-           echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
-           cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
-       esac;
-
-$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
-       cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
-
-$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
-       cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
-$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
-       cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
-$(am__aclocal_m4_deps):
-install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
-       @$(NORMAL_INSTALL)
-       test -z "$(pkglibdir)" || $(MKDIR_P) "$(DESTDIR)$(pkglibdir)"
-       @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
-       list2=; for p in $$list; do \
-         if test -f $$p; then \
-           list2="$$list2 $$p"; \
-         else :; fi; \
-       done; \
-       test -z "$$list2" || { \
-         echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
-         $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
-       }
-
-uninstall-pkglibLTLIBRARIES:
-       @$(NORMAL_UNINSTALL)
-       @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
-       for p in $$list; do \
-         $(am__strip_dir) \
-         echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
-         $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
-       done
-
-clean-pkglibLTLIBRARIES:
-       -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
-       @list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
-         dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
-         test "$$dir" != "$$p" || dir=.; \
-         echo "rm -f \"$${dir}/so_locations\""; \
-         rm -f "$${dir}/so_locations"; \
-       done
-libscixpad-disable.la: $(libscixpad_disable_la_OBJECTS) $(libscixpad_disable_la_DEPENDENCIES) 
-       $(libscixpad_disable_la_LINK) -rpath $(pkglibdir) $(libscixpad_disable_la_OBJECTS) $(libscixpad_disable_la_LIBADD) $(LIBS)
-libscixpad.la: $(libscixpad_la_OBJECTS) $(libscixpad_la_DEPENDENCIES) 
-       $(libscixpad_la_LINK) $(am_libscixpad_la_rpath) $(libscixpad_la_OBJECTS) $(libscixpad_la_LIBADD) $(LIBS)
-
-mostlyclean-compile:
-       -rm -f *.$(OBJEXT)
-
-distclean-compile:
-       -rm -f *.tab.c
-
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixpad_disable_la-noxpad.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixpad_la-GiwsException.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixpad_la-ScilabKeywords.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixpad_la-ScilabKeywords_wrap.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixpad_la-Xpad.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixpad_la-callxpad.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixpad_la-gw_xpad.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixpad_la-sci_closeXpadFromScilab.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixpad_la-sci_xpad.Plo@am__quote@
-
-.c.o:
-@am__fastdepCC_TRUE@   $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCC_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
-@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@  $(COMPILE) -c $<
-
-.c.obj:
-@am__fastdepCC_TRUE@   $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCC_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
-@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@  $(COMPILE) -c `$(CYGPATH_W) '$<'`
-
-.c.lo:
-@am__fastdepCC_TRUE@   $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCC_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
-@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@  $(LTCOMPILE) -c -o $@ $<
-
-libscixpad_disable_la-noxpad.lo: src/noxpad/noxpad.c
-@am__fastdepCC_TRUE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscixpad_disable_la_CFLAGS) $(CFLAGS) -MT libscixpad_disable_la-noxpad.lo -MD -MP -MF $(DEPDIR)/libscixpad_disable_la-noxpad.Tpo -c -o libscixpad_disable_la-noxpad.lo `test -f 'src/noxpad/noxpad.c' || echo '$(srcdir)/'`src/noxpad/noxpad.c
-@am__fastdepCC_TRUE@   $(am__mv) $(DEPDIR)/libscixpad_disable_la-noxpad.Tpo $(DEPDIR)/libscixpad_disable_la-noxpad.Plo
-@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='src/noxpad/noxpad.c' object='libscixpad_disable_la-noxpad.lo' libtool=yes @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@  $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscixpad_disable_la_CFLAGS) $(CFLAGS) -c -o libscixpad_disable_la-noxpad.lo `test -f 'src/noxpad/noxpad.c' || echo '$(srcdir)/'`src/noxpad/noxpad.c
-
-libscixpad_la-ScilabKeywords.lo: src/c/ScilabKeywords.c
-@am__fastdepCC_TRUE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixpad_la_CPPFLAGS) $(CPPFLAGS) $(libscixpad_la_CFLAGS) $(CFLAGS) -MT libscixpad_la-ScilabKeywords.lo -MD -MP -MF $(DEPDIR)/libscixpad_la-ScilabKeywords.Tpo -c -o libscixpad_la-ScilabKeywords.lo `test -f 'src/c/ScilabKeywords.c' || echo '$(srcdir)/'`src/c/ScilabKeywords.c
-@am__fastdepCC_TRUE@   $(am__mv) $(DEPDIR)/libscixpad_la-ScilabKeywords.Tpo $(DEPDIR)/libscixpad_la-ScilabKeywords.Plo
-@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='src/c/ScilabKeywords.c' object='libscixpad_la-ScilabKeywords.lo' libtool=yes @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@  $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixpad_la_CPPFLAGS) $(CPPFLAGS) $(libscixpad_la_CFLAGS) $(CFLAGS) -c -o libscixpad_la-ScilabKeywords.lo `test -f 'src/c/ScilabKeywords.c' || echo '$(srcdir)/'`src/c/ScilabKeywords.c
-
-libscixpad_la-ScilabKeywords_wrap.lo: src/jni/ScilabKeywords_wrap.c
-@am__fastdepCC_TRUE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixpad_la_CPPFLAGS) $(CPPFLAGS) $(libscixpad_la_CFLAGS) $(CFLAGS) -MT libscixpad_la-ScilabKeywords_wrap.lo -MD -MP -MF $(DEPDIR)/libscixpad_la-ScilabKeywords_wrap.Tpo -c -o libscixpad_la-ScilabKeywords_wrap.lo `test -f 'src/jni/ScilabKeywords_wrap.c' || echo '$(srcdir)/'`src/jni/ScilabKeywords_wrap.c
-@am__fastdepCC_TRUE@   $(am__mv) $(DEPDIR)/libscixpad_la-ScilabKeywords_wrap.Tpo $(DEPDIR)/libscixpad_la-ScilabKeywords_wrap.Plo
-@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='src/jni/ScilabKeywords_wrap.c' object='libscixpad_la-ScilabKeywords_wrap.lo' libtool=yes @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@  $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixpad_la_CPPFLAGS) $(CPPFLAGS) $(libscixpad_la_CFLAGS) $(CFLAGS) -c -o libscixpad_la-ScilabKeywords_wrap.lo `test -f 'src/jni/ScilabKeywords_wrap.c' || echo '$(srcdir)/'`src/jni/ScilabKeywords_wrap.c
-
-libscixpad_la-gw_xpad.lo: sci_gateway/c/gw_xpad.c
-@am__fastdepCC_TRUE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixpad_la_CPPFLAGS) $(CPPFLAGS) $(libscixpad_la_CFLAGS) $(CFLAGS) -MT libscixpad_la-gw_xpad.lo -MD -MP -MF $(DEPDIR)/libscixpad_la-gw_xpad.Tpo -c -o libscixpad_la-gw_xpad.lo `test -f 'sci_gateway/c/gw_xpad.c' || echo '$(srcdir)/'`sci_gateway/c/gw_xpad.c
-@am__fastdepCC_TRUE@   $(am__mv) $(DEPDIR)/libscixpad_la-gw_xpad.Tpo $(DEPDIR)/libscixpad_la-gw_xpad.Plo
-@AMDEP_TRUE@@am__fastdepCC_FALSE@      source='sci_gateway/c/gw_xpad.c' object='libscixpad_la-gw_xpad.lo' libtool=yes @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@  $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixpad_la_CPPFLAGS) $(CPPFLAGS) $(libscixpad_la_CFLAGS) $(CFLAGS) -c -o libscixpad_la-gw_xpad.lo `test -f 'sci_gateway/c/gw_xpad.c' || echo '$(srcdir)/'`sci_gateway/c/gw_xpad.c
-
-.cpp.o:
-@am__fastdepCXX_TRUE@  $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@  $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@     source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@     DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@ $(CXXCOMPILE) -c -o $@ $<
-
-.cpp.obj:
-@am__fastdepCXX_TRUE@  $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@  $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@     source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@     DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@ $(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
-
-.cpp.lo:
-@am__fastdepCXX_TRUE@  $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@  $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@     source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@     DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@ $(LTCXXCOMPILE) -c -o $@ $<
-
-libscixpad_la-sci_xpad.lo: sci_gateway/cpp/sci_xpad.cpp
-@am__fastdepCXX_TRUE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixpad_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixpad_la-sci_xpad.lo -MD -MP -MF $(DEPDIR)/libscixpad_la-sci_xpad.Tpo -c -o libscixpad_la-sci_xpad.lo `test -f 'sci_gateway/cpp/sci_xpad.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xpad.cpp
-@am__fastdepCXX_TRUE@  $(am__mv) $(DEPDIR)/libscixpad_la-sci_xpad.Tpo $(DEPDIR)/libscixpad_la-sci_xpad.Plo
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@     source='sci_gateway/cpp/sci_xpad.cpp' object='libscixpad_la-sci_xpad.lo' libtool=yes @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@     DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@ $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixpad_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixpad_la-sci_xpad.lo `test -f 'sci_gateway/cpp/sci_xpad.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xpad.cpp
-
-libscixpad_la-sci_closeXpadFromScilab.lo: sci_gateway/cpp/sci_closeXpadFromScilab.cpp
-@am__fastdepCXX_TRUE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixpad_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixpad_la-sci_closeXpadFromScilab.lo -MD -MP -MF $(DEPDIR)/libscixpad_la-sci_closeXpadFromScilab.Tpo -c -o libscixpad_la-sci_closeXpadFromScilab.lo `test -f 'sci_gateway/cpp/sci_closeXpadFromScilab.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_closeXpadFromScilab.cpp
-@am__fastdepCXX_TRUE@  $(am__mv) $(DEPDIR)/libscixpad_la-sci_closeXpadFromScilab.Tpo $(DEPDIR)/libscixpad_la-sci_closeXpadFromScilab.Plo
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@     source='sci_gateway/cpp/sci_closeXpadFromScilab.cpp' object='libscixpad_la-sci_closeXpadFromScilab.lo' libtool=yes @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@     DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@ $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixpad_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixpad_la-sci_closeXpadFromScilab.lo `test -f 'sci_gateway/cpp/sci_closeXpadFromScilab.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_closeXpadFromScilab.cpp
-
-libscixpad_la-Xpad.lo: src/jni/Xpad.cpp
-@am__fastdepCXX_TRUE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixpad_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixpad_la-Xpad.lo -MD -MP -MF $(DEPDIR)/libscixpad_la-Xpad.Tpo -c -o libscixpad_la-Xpad.lo `test -f 'src/jni/Xpad.cpp' || echo '$(srcdir)/'`src/jni/Xpad.cpp
-@am__fastdepCXX_TRUE@  $(am__mv) $(DEPDIR)/libscixpad_la-Xpad.Tpo $(DEPDIR)/libscixpad_la-Xpad.Plo
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@     source='src/jni/Xpad.cpp' object='libscixpad_la-Xpad.lo' libtool=yes @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@     DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@ $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixpad_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixpad_la-Xpad.lo `test -f 'src/jni/Xpad.cpp' || echo '$(srcdir)/'`src/jni/Xpad.cpp
-
-libscixpad_la-callxpad.lo: src/cpp/callxpad.cpp
-@am__fastdepCXX_TRUE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixpad_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixpad_la-callxpad.lo -MD -MP -MF $(DEPDIR)/libscixpad_la-callxpad.Tpo -c -o libscixpad_la-callxpad.lo `test -f 'src/cpp/callxpad.cpp' || echo '$(srcdir)/'`src/cpp/callxpad.cpp
-@am__fastdepCXX_TRUE@  $(am__mv) $(DEPDIR)/libscixpad_la-callxpad.Tpo $(DEPDIR)/libscixpad_la-callxpad.Plo
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@     source='src/cpp/callxpad.cpp' object='libscixpad_la-callxpad.lo' libtool=yes @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@     DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@ $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixpad_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixpad_la-callxpad.lo `test -f 'src/cpp/callxpad.cpp' || echo '$(srcdir)/'`src/cpp/callxpad.cpp
-
-libscixpad_la-GiwsException.lo: src/jni/GiwsException.cpp
-@am__fastdepCXX_TRUE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixpad_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixpad_la-GiwsException.lo -MD -MP -MF $(DEPDIR)/libscixpad_la-GiwsException.Tpo -c -o libscixpad_la-GiwsException.lo `test -f 'src/jni/GiwsException.cpp' || echo '$(srcdir)/'`src/jni/GiwsException.cpp
-@am__fastdepCXX_TRUE@  $(am__mv) $(DEPDIR)/libscixpad_la-GiwsException.Tpo $(DEPDIR)/libscixpad_la-GiwsException.Plo
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@     source='src/jni/GiwsException.cpp' object='libscixpad_la-GiwsException.lo' libtool=yes @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@     DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@ $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixpad_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixpad_la-GiwsException.lo `test -f 'src/jni/GiwsException.cpp' || echo '$(srcdir)/'`src/jni/GiwsException.cpp
-
-mostlyclean-libtool:
-       -rm -f *.lo
-
-clean-libtool:
-       -rm -rf .libs _libs
-install-libscixpad_la_etcDATA: $(libscixpad_la_etc_DATA)
-       @$(NORMAL_INSTALL)
-       test -z "$(libscixpad_la_etcdir)" || $(MKDIR_P) "$(DESTDIR)$(libscixpad_la_etcdir)"
-       @list='$(libscixpad_la_etc_DATA)'; test -n "$(libscixpad_la_etcdir)" || list=; \
-       for p in $$list; do \
-         if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
-         echo "$$d$$p"; \
-       done | $(am__base_list) | \
-       while read files; do \
-         echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscixpad_la_etcdir)'"; \
-         $(INSTALL_DATA) $$files "$(DESTDIR)$(libscixpad_la_etcdir)" || exit $$?; \
-       done
-
-uninstall-libscixpad_la_etcDATA:
-       @$(NORMAL_UNINSTALL)
-       @list='$(libscixpad_la_etc_DATA)'; test -n "$(libscixpad_la_etcdir)" || list=; \
-       files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
-       test -n "$$files" || exit 0; \
-       echo " ( cd '$(DESTDIR)$(libscixpad_la_etcdir)' && rm -f" $$files ")"; \
-       cd "$(DESTDIR)$(libscixpad_la_etcdir)" && rm -f $$files
-install-libscixpad_la_rootDATA: $(libscixpad_la_root_DATA)
-       @$(NORMAL_INSTALL)
-       test -z "$(libscixpad_la_rootdir)" || $(MKDIR_P) "$(DESTDIR)$(libscixpad_la_rootdir)"
-       @list='$(libscixpad_la_root_DATA)'; test -n "$(libscixpad_la_rootdir)" || list=; \
-       for p in $$list; do \
-         if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
-         echo "$$d$$p"; \
-       done | $(am__base_list) | \
-       while read files; do \
-         echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscixpad_la_rootdir)'"; \
-         $(INSTALL_DATA) $$files "$(DESTDIR)$(libscixpad_la_rootdir)" || exit $$?; \
-       done
-
-uninstall-libscixpad_la_rootDATA:
-       @$(NORMAL_UNINSTALL)
-       @list='$(libscixpad_la_root_DATA)'; test -n "$(libscixpad_la_rootdir)" || list=; \
-       files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
-       test -n "$$files" || exit 0; \
-       echo " ( cd '$(DESTDIR)$(libscixpad_la_rootdir)' && rm -f" $$files ")"; \
-       cd "$(DESTDIR)$(libscixpad_la_rootdir)" && rm -f $$files
-install-libscixpad_la_sci_gatewayDATA: $(libscixpad_la_sci_gateway_DATA)
-       @$(NORMAL_INSTALL)
-       test -z "$(libscixpad_la_sci_gatewaydir)" || $(MKDIR_P) "$(DESTDIR)$(libscixpad_la_sci_gatewaydir)"
-       @list='$(libscixpad_la_sci_gateway_DATA)'; test -n "$(libscixpad_la_sci_gatewaydir)" || list=; \
-       for p in $$list; do \
-         if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
-         echo "$$d$$p"; \
-       done | $(am__base_list) | \
-       while read files; do \
-         echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscixpad_la_sci_gatewaydir)'"; \
-         $(INSTALL_DATA) $$files "$(DESTDIR)$(libscixpad_la_sci_gatewaydir)" || exit $$?; \
-       done
-
-uninstall-libscixpad_la_sci_gatewayDATA:
-       @$(NORMAL_UNINSTALL)
-       @list='$(libscixpad_la_sci_gateway_DATA)'; test -n "$(libscixpad_la_sci_gatewaydir)" || list=; \
-       files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
-       test -n "$$files" || exit 0; \
-       echo " ( cd '$(DESTDIR)$(libscixpad_la_sci_gatewaydir)' && rm -f" $$files ")"; \
-       cd "$(DESTDIR)$(libscixpad_la_sci_gatewaydir)" && rm -f $$files
-
-ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
-       list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
-       unique=`for i in $$list; do \
-           if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
-         done | \
-         $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
-             END { if (nonempty) { for (i in files) print i; }; }'`; \
-       mkid -fID $$unique
-tags: TAGS
-
-TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
-               $(TAGS_FILES) $(LISP)
-       set x; \
-       here=`pwd`; \
-       list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
-       unique=`for i in $$list; do \
-           if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
-         done | \
-         $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
-             END { if (nonempty) { for (i in files) print i; }; }'`; \
-       shift; \
-       if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
-         test -n "$$unique" || unique=$$empty_fix; \
-         if test $$# -gt 0; then \
-           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
-             "$$@" $$unique; \
-         else \
-           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
-             $$unique; \
-         fi; \
-       fi
-ctags: CTAGS
-CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
-               $(TAGS_FILES) $(LISP)
-       list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
-       unique=`for i in $$list; do \
-           if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
-         done | \
-         $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
-             END { if (nonempty) { for (i in files) print i; }; }'`; \
-       test -z "$(CTAGS_ARGS)$$unique" \
-         || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
-            $$unique
-
-GTAGS:
-       here=`$(am__cd) $(top_builddir) && pwd` \
-         && $(am__cd) $(top_srcdir) \
-         && gtags -i $(GTAGS_ARGS) "$$here"
-
-distclean-tags:
-       -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
-
-distdir: $(DISTFILES)
-       @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-       topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-       list='$(DISTFILES)'; \
-         dist_files=`for file in $$list; do echo $$file; done | \
-         sed -e "s|^$$srcdirstrip/||;t" \
-             -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
-       case $$dist_files in \
-         */*) $(MKDIR_P) `echo "$$dist_files" | \
-                          sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
-                          sort -u` ;; \
-       esac; \
-       for file in $$dist_files; do \
-         if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-         if test -d $$d/$$file; then \
-           dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
-           if test -d "$(distdir)/$$file"; then \
-             find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-           fi; \
-           if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
-             cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
-             find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-           fi; \
-           cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
-         else \
-           test -f "$(distdir)/$$file" \
-           || cp -p $$d/$$file "$(distdir)/$$file" \
-           || exit 1; \
-         fi; \
-       done
-check-am: all-am
-       $(MAKE) $(AM_MAKEFLAGS) check-local
-check: $(BUILT_SOURCES)
-       $(MAKE) $(AM_MAKEFLAGS) check-am
-all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
-installdirs:
-       for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libscixpad_la_etcdir)" "$(DESTDIR)$(libscixpad_la_rootdir)" "$(DESTDIR)$(libscixpad_la_sci_gatewaydir)"; do \
-         test -z "$$dir" || $(MKDIR_P) "$$dir"; \
-       done
-install: $(BUILT_SOURCES)
-       $(MAKE) $(AM_MAKEFLAGS) install-am
-install-exec: install-exec-am
-install-data: install-data-am
-uninstall: uninstall-am
-
-install-am: all-am
-       @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
-
-installcheck: installcheck-am
-install-strip:
-       $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
-         install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
-         `test -z '$(STRIP)' || \
-           echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
-mostlyclean-generic:
-
-clean-generic:
-
-distclean-generic:
-       -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
-       -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
-
-maintainer-clean-generic:
-       @echo "This command is intended for maintainers to use"
-       @echo "it deletes files that may require special tools to rebuild."
-       -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
-clean: clean-am
-
-clean-am: clean-generic clean-libtool clean-local \
-       clean-pkglibLTLIBRARIES mostlyclean-am
-
-distclean: distclean-am
-       -rm -rf ./$(DEPDIR)
-       -rm -f Makefile
-distclean-am: clean-am distclean-compile distclean-generic \
-       distclean-local distclean-tags
-
-dvi: dvi-am
-
-dvi-am:
-
-html: html-am
-
-html-am:
-
-info: info-am
-
-info-am:
-
-install-data-am: install-data-local install-libscixpad_la_etcDATA \
-       install-libscixpad_la_rootDATA \
-       install-libscixpad_la_sci_gatewayDATA
-
-install-dvi: install-dvi-am
-
-install-dvi-am:
-
-install-exec-am: install-pkglibLTLIBRARIES
-
-install-html: install-html-am
-
-install-html-am: install-html-local
-
-install-info: install-info-am
-
-install-info-am:
-
-install-man:
-
-install-pdf: install-pdf-am
-
-install-pdf-am:
-
-install-ps: install-ps-am
-
-install-ps-am:
-
-installcheck-am:
-
-maintainer-clean: maintainer-clean-am
-       -rm -rf ./$(DEPDIR)
-       -rm -f Makefile
-maintainer-clean-am: distclean-am maintainer-clean-generic
-
-mostlyclean: mostlyclean-am
-
-mostlyclean-am: mostlyclean-compile mostlyclean-generic \
-       mostlyclean-libtool
-
-pdf: pdf-am
-
-pdf-am:
-
-ps: ps-am
-
-ps-am:
-
-uninstall-am: uninstall-libscixpad_la_etcDATA \
-       uninstall-libscixpad_la_rootDATA \
-       uninstall-libscixpad_la_sci_gatewayDATA \
-       uninstall-pkglibLTLIBRARIES
-
-.MAKE: all check check-am install install-am install-strip
-
-.PHONY: CTAGS GTAGS all all-am all-local check check-am check-local \
-       clean clean-generic clean-libtool clean-local \
-       clean-pkglibLTLIBRARIES ctags distclean distclean-compile \
-       distclean-generic distclean-libtool distclean-local \
-       distclean-tags distdir dvi dvi-am html html-am info info-am \
-       install install-am install-data install-data-am \
-       install-data-local install-dvi install-dvi-am install-exec \
-       install-exec-am install-html install-html-am \
-       install-html-local install-info install-info-am \
-       install-libscixpad_la_etcDATA install-libscixpad_la_rootDATA \
-       install-libscixpad_la_sci_gatewayDATA install-man install-pdf \
-       install-pdf-am install-pkglibLTLIBRARIES install-ps \
-       install-ps-am install-strip installcheck installcheck-am \
-       installdirs maintainer-clean maintainer-clean-generic \
-       mostlyclean mostlyclean-compile mostlyclean-generic \
-       mostlyclean-libtool pdf pdf-am ps ps-am tags uninstall \
-       uninstall-am uninstall-libscixpad_la_etcDATA \
-       uninstall-libscixpad_la_rootDATA \
-       uninstall-libscixpad_la_sci_gatewayDATA \
-       uninstall-pkglibLTLIBRARIES
-
-
-# This target enables tests for Scilab
-check-local: $(top_builddir)/scilab-bin
-       @COMMAND="test_run('$(modulename)');quit";\
-       export LANG=C;\
-       $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"
-check-code:
-       if test -f build.xml; then \
-               $(ANT) checkstyle; \
-       fi
-       if test -x "$(SPLINT)"; then \
-               $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
-       fi
-@NEED_JAVA_TRUE@java:
-# Some configurations needs to export JAVA_HOME in the current env
-@NEED_JAVA_TRUE@       @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
-@NEED_JAVA_TRUE@       if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
-@NEED_JAVA_TRUE@       if test -f build.xml -a $$USEANT -eq 1; then \
-@NEED_JAVA_TRUE@               $(ANT); \
-@NEED_JAVA_TRUE@       fi
-
-@NEED_JAVA_TRUE@clean-java:
-# Some configurations needs to export JAVA_HOME in the current env
-@NEED_JAVA_TRUE@       @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
-@NEED_JAVA_TRUE@       if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
-@NEED_JAVA_TRUE@       if test -f build.xml -a $$USEANT -eq 1; then \
-@NEED_JAVA_TRUE@               $(ANT) clean; \
-@NEED_JAVA_TRUE@       fi;
-
-# If the user request for the SWIG generation of the wrappers Java => C/C++ 
-# We call the target swig-build on the variable SWIG_WRAPPERS
-
-@SWIG_TRUE@swig: $(SWIG_WRAPPERS)
-@SWIG_TRUE@    @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
-@SWIG_TRUE@    SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
-@SWIG_TRUE@    if test -n "$(SWIG_WRAPPERS)"; then \
-@SWIG_TRUE@            for file in $(SWIG_WRAPPERS) ; do \
-@SWIG_TRUE@                    echo "Swig process of $$file ..."; \
-@SWIG_TRUE@                    $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
-@SWIG_TRUE@            done; \
-@SWIG_TRUE@    fi
-
-# If the user request for the SWIG generation of the wrappers Java => C/C++ 
-# We call the target swig-build on the variable SWIG_WRAPPERS
-
-@GIWS_TRUE@giws: $(GIWS_WRAPPERS)
-@GIWS_TRUE@    @GIWS_OUTPUTDIR=src/jni/;\
-@GIWS_TRUE@    if test -n "$(GIWS_WRAPPERS)"; then \
-@GIWS_TRUE@            for file in $(GIWS_WRAPPERS) ; do \
-@GIWS_TRUE@                    echo "GIWS process of $$file ..."; \
-@GIWS_TRUE@                    $(GIWS_BIN) --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
-@GIWS_TRUE@            done; \
-@GIWS_TRUE@    fi
-
-macros:
-       -@( if test ! -x $(top_builddir)/scilab-bin; then \
-               echo "Error : Cannot build $< : Scilab has not been built"; \
-       else \
-               $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
-       fi)
-
-# Removes the macros
-clean-macros:
-# Removes macros (*.bin generated from .sci)
-       @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
-               echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
-               rm -f $(builddir)/$$dir/$(MACROBINMASK); \
-       done
-
-all-local: $(TARGETS_ALL)
-
-.sci.bin:
-       -@( if test ! -x $(top_builddir)/scilab-bin; then \
-       echo "Error : Cannot build $< : Scilab has not been build"; \
-       else \
-       echo "Creating $@"; \
-       $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
-       fi )
-
-install-html-local:
-# If the user wants the help sources to be installed
-@INSTALL_HELP_XML_TRUE@        @echo "-------- Install of XML sources of help files --------"; \
-@INSTALL_HELP_XML_TRUE@        for lang in $(ALL_LINGUAS); do \
-@INSTALL_HELP_XML_TRUE@         if test -d $(srcdir)/help/$$lang; then \
-@INSTALL_HELP_XML_TRUE@          $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
-@INSTALL_HELP_XML_TRUE@                if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
-@INSTALL_HELP_XML_TRUE@                  for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
-@INSTALL_HELP_XML_TRUE@                    echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
-@INSTALL_HELP_XML_TRUE@                $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
-@INSTALL_HELP_XML_TRUE@                  done ; \
-@INSTALL_HELP_XML_TRUE@                fi; \
-@INSTALL_HELP_XML_TRUE@         fi; \
-@INSTALL_HELP_XML_TRUE@        done; \
-@INSTALL_HELP_XML_TRUE@        @echo "-------- Install of MathML sources --------"; \
-@INSTALL_HELP_XML_TRUE@         if test -d $(srcdir)/help/mml/; then \
-@INSTALL_HELP_XML_TRUE@          $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
-@INSTALL_HELP_XML_TRUE@                if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
-@INSTALL_HELP_XML_TRUE@                  for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
-@INSTALL_HELP_XML_TRUE@                    echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
-@INSTALL_HELP_XML_TRUE@                $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
-@INSTALL_HELP_XML_TRUE@                  done ; \
-@INSTALL_HELP_XML_TRUE@                fi; \
-@INSTALL_HELP_XML_TRUE@        fi
-install-data-local:
-# Install the tests
-       @echo "-------- Install tests (if any) --------"; \
-       for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
-         if test -d $(srcdir)/$$dir/; then \
-           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
-                 for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
-                   if test -d "$(srcdir)/$$dir/$$file"; then \
-                         echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
-                         $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
-                   else \
-                     echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
-                 $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
-                   fi \
-                 done; \
-         fi; \
-       done
-# Install the help chapter
-       @echo "-------- Install the help chapter (if any) --------"; \
-       for lang in $(HELP_CHAPTERLANG); do \
-               HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
-               if test -f $$HELPFILE; then \
-                       echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
-                       $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
-                       echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
-                       $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
-               fi; \
-       done
-# Install the demos & examples
-       @echo "-------- Install demos & examples (if any) --------"; \
-       for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
-         if test -d $(srcdir)/$$dir/; then \
-           $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
-                 for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
-                   if test -d "$(srcdir)/$$dir/$$file"; then \
-                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
-                         $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
-                   else \
-                     echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
-                 $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
-                   fi \
-                 done; \
-         fi; \
-       done
-# Install the macros
-       @echo "-------- Install macros (if any) --------"; \
-       for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
-         $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
-               if test -d $(srcdir)/$$dir/; then \
-                       FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
-                       if test -n "$(MACROSSPECIALEXT)"; then \
-                               for specialExt in $(MACROSSPECIALEXT); do \
-                                       specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
-                               done; \
-                               FILELIST="$$FILELIST $$specialExtDir"; \
-                       fi; \
-                 for file in `ls -1 $$FILELIST 2>/dev/null`; do \
-                   echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
-               $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
-                 done; \
-               fi; \
-       done
-# Install java files (.jar)
-       @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
-       echo "-------- Install jar files --------"; \
-    $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
-         for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
-                   echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
-               $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
-         done ; \
-       fi
-
-########### CLEAN ###################
-# Clean macros and help (generated automatically by Scilab)
-@NEED_JAVA_TRUE@clean-local: clean-java clean-macros
-@NEED_JAVA_FALSE@clean-local: clean-macros
-
-distclean-local:
-       rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
-
-.PHONY: macros java swig giws
-
-# Tell versions [3.59,3.63) of GNU make to not export all variables.
-# Otherwise a system limit (for SysV at least) may be exceeded.
-.NOEXPORT: